Mail archive
alpine-devel

[alpine-devel] [PATCH] main/cups-filters: fix text file printing

From: Isaac Dunham <ibid.ag_at_gmail.com>
Date: Mon, 30 Jun 2014 14:51:41 -0700

ttf-freefont is needed for text printing to work.
pdf.UTF-8 symlink is needed; pdf.utf-8 isn't good enough now.
---
 main/cups-filters/APKBUILD | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)
diff --git a/main/cups-filters/APKBUILD b/main/cups-filters/APKBUILD
index b9ed634..caa0580 100644
--- a/main/cups-filters/APKBUILD
+++ b/main/cups-filters/APKBUILD
_at_@ -1,13 +1,15 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=cups-filters
 pkgver=1.0.53
-pkgrel=0
+pkgrel=1
 pkgdesc="OpenPrinting CUPS filters and backends"
 url="http://www.linuxfoundation.org/collaborate/workgroups/openprinting/pdf_as_standard_print_job_format"
 arch="all"
 license="GPLv2 and GPLv2+ and GPLv3 and MIT"
 # textonly is a bash script
-depends="poppler-utils bc bash"
+# texttops/textopdf need FreeMono from ttf-freefont
+# for text printing to work
+depends="poppler-utils bc bash ttf-freefont"
 depends_dev=""
 makedepends="$depends_dev cups-dev libjpeg-turbo-dev poppler-dev zlib-dev
 	libpng-dev tiff-dev lcms-dev freetype-dev ghostscript-dev fontconfig-dev
_at_@ -49,6 +51,9 @@ build() {
 package() {
 	cd "$_builddir"
 	make -j1 DESTDIR="$pkgdir" install || return 1
+	#the pdf.utf-8 symlink isn't quite good enough
+	cd "$pkgdir"/usr/share/cups/charsets && \
+	ln -s pdf.utf-8.simple pdf.UTF-8 || return 1
 	rm -f "$pkgdir"/usr/lib/*.la
 }
 
-- 
2.0.1
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Mon Jun 30 2014 - 14:51:41 UTC